Package com.smartgwt.logicalstructure.widgets.drawing

# Class DrawItemLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure

Direct Known Subclasses:
  `DrawCurveLogicalStructure`, `DrawDiamondLogicalStructure`, `DrawGroupLogicalStructure`, `DrawImageLogicalStructure`, `DrawLabelLogicalStructure`, `DrawLineLogicalStructure`, `DrawLinePathLogicalStructure`, `DrawOvalLogicalStructure`, `DrawPathLogicalStructure`, `DrawRectLogicalStructure`, `DrawSectorLogicalStructure`, `DrawShapeLogicalStructure`

public class DrawItemLogicalStructure extends BaseWidgetLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `canDrag`
  `String`
  `canHover`
  `Menu`
  `contextMenu`
  `String`
  `cursor`
  `String`
  `destroyed`
  `String`
  `destroying`
  `String`
  `dragStartDistance`
  `DrawGroup`
  `drawGroup`
  `DrawPane`
  `drawPaneAsDrawPane`
  `String`
  `drawPaneAsString`
  `String`
  `editProxyConstructor`
  `String`
  `endArrow`
  `String`
  `eventOpaque`
  `String`
  `eventPassThrough`
  `String`
  `fillColor`
  `Gradient`
  `fillGradientAsGradient`
  `String`
  `fillGradientAsString`
  `String`
  `fillOpacity`
  `String`
  `hoverDelay`
  `String`
  `keepInParentRectAsString`
  `String[]`
  `knobs`
  `String`
  `lineCap`
  `String`
  `lineColor`
  `String`
  `lineOpacity`
  `String`
  `linePattern`
  `String`
  `lineWidth`
  `String[]`
  `moveKnobOffset`
  `String`
  `moveKnobPoint`
  `String`
  `prompt`
  `String[]`
  `proportionalResizeModifiers`
  `String`
  `proportionalResizing`
  `String[]`
  `resizeKnobPoints`
  `String`
  `resizeViaLocalTransformOnly`
  `String`
  `rotation`
  `String[]`
  `scale`
  `Shadow`
  `shadow`
  `String`
  `showHover`
  `String`
  `showResizeOutline`
  `String`
  `showTitleLabelBackground`
  `String`
  `startArrow`
  `String`
  `title`
  `String`
  `titleAutoFit`
  `String`
  `titleAutoFitMargin`
  `String`
  `titleAutoFitRotationMode`
  `String`
  `titleLabelPadding`
  `String`
  `titleRotationMode`
  `String[]`
  `translate`
  `String`
  `useSimpleTransform`
  `String`
  `xShearFactor`
  `String`
  `yShearFactor`
  `String`
  `zIndex`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw, ID`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawItemLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### canDrag

    public String canDrag

  - ### canHover

    public String canHover

  - ### contextMenu

    public Menu contextMenu

  - ### cursor

    public String cursor

  - ### destroyed

    public String destroyed

  - ### destroying

    public String destroying

  - ### dragStartDistance

    public String dragStartDistance

  - ### drawGroup

    public DrawGroup drawGroup

  - ### drawPaneAsDrawPane

    public DrawPane drawPaneAsDrawPane

  - ### drawPaneAsString

    public String drawPaneAsString

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### endArrow

    public String endArrow

  - ### eventOpaque

    public String eventOpaque

  - ### eventPassThrough

    public String eventPassThrough

  - ### fillColor

    public String fillColor

  - ### fillGradientAsGradient

    public Gradient fillGradientAsGradient

  - ### fillGradientAsString

    public String fillGradientAsString

  - ### fillOpacity

    public String fillOpacity

  - ### hoverDelay

    public String hoverDelay

  - ### keepInParentRectAsString

    public String keepInParentRectAsString

  - ### knobs

    public String[] knobs

  - ### lineCap

    public String lineCap

  - ### lineColor

    public String lineColor

  - ### lineOpacity

    public String lineOpacity

  - ### linePattern

    public String linePattern

  - ### lineWidth

    public String lineWidth

  - ### moveKnobOffset

    public String[] moveKnobOffset

  - ### moveKnobPoint

    public String moveKnobPoint

  - ### prompt

    public String prompt

  - ### proportionalResizeModifiers

    public String[] proportionalResizeModifiers

  - ### proportionalResizing

    public String proportionalResizing

  - ### resizeKnobPoints

    public String[] resizeKnobPoints

  - ### resizeViaLocalTransformOnly

    public String resizeViaLocalTransformOnly

  - ### rotation

    public String rotation

  - ### scale

    public String[] scale

  - ### shadow

    public Shadow shadow

  - ### showHover

    public String showHover

  - ### showResizeOutline

    public String showResizeOutline

  - ### showTitleLabelBackground

    public String showTitleLabelBackground

  - ### startArrow

    public String startArrow

  - ### title

    public String title

  - ### titleAutoFit

    public String titleAutoFit

  - ### titleAutoFitMargin

    public String titleAutoFitMargin

  - ### titleAutoFitRotationMode

    public String titleAutoFitRotationMode

  - ### titleLabelPadding

    public String titleLabelPadding

  - ### titleRotationMode

    public String titleRotationMode

  - ### translate

    public String[] translate

  - ### useSimpleTransform

    public String useSimpleTransform

  - ### xShearFactor

    public String xShearFactor

  - ### yShearFactor

    public String yShearFactor

  - ### zIndex

    public String zIndex

- ## Constructor Details

  - ### DrawItemLogicalStructure

    public DrawItemLogicalStructure()